# Uses of Enum Class
java.text.Normalizer.Form

Packages that use Normalizer.Form
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.

## Uses of Normalizer.Form in java.text

Subclasses with type arguments of type Normalizer.Form in java.text
Modifier and Type
Class
Description
`static enum`
`Normalizer.Form`
This enum provides constants of the four Unicode normalization forms that are described in Unicode Standard Annex #15 — Unicode Normalization Forms and two methods to access them.
Methods in java.text that return Normalizer.Form
Modifier and Type
Method
Description
`static Normalizer.Form`
Normalizer.Form.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Normalizer.Form[]`
Normalizer.Form.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.text with parameters of type Normalizer.Form
Modifier and Type
Method
Description
`static boolean`
Normalizer.`isNormalized(CharSequence src, Normalizer.Form form)`
Determines if the given sequence of char values is normalized.
`static String`
Normalizer.`normalize(CharSequence src, Normalizer.Form form)`
Normalize a sequence of char values.